<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST['kodeaw'];
$kodeak	=$_POST['kodeak'];
date_default_timezone_set('Asia/Jakarta');
$jam	=date('H:i:s');

$sql= mysql_query("SELECT * FROM interface");
$r	= mysql_fetch_assoc($sql);
$utang  	= $r['hutang_dg'];
$labapb 	= $r['laba_pb'];
$labrug 	= $r['laba_rugi'];
$potbeli	= $r['pot_beli'];
$nosublpb	= substr($labapb,0,3);
$nosublr 	= substr($labrug,0,3);
$nosubpb 	= substr($potbeli,0,3);

$sql = mysql_query("SELECT * FROM jurbk WHERE kode_bk BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_bk");

while($r=mysql_fetch_array($sql)){
	$kodebk 	= $r['kode_bk'];
	$tanggal	= $r['tanggal'];
	$nobank 	= $r['nobank'];
	$nourut  	= $r['no_urut'];
	$noakun 	= $r['noakun'];
	$nobp 		= $r['nobp'];
	$kodecab 	= $r['kode_cab'];
	$nofak		= $r['nofak'];
	$jumlah		= $r['jumlah'];
	$diskon		= $r['diskon'];
	$bruto 		= $r['jumlah']+$r['diskon'];
	$ket 		= $r['keterangan'];
	$user 		= $r['user'];
	$nosubks	= substr($nobank,0,3);
	$nosubak	= substr($noakun,0,3);
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->kredit kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nobank'");
		
	// --->jika kode akun buku besar adalah hutang dagang, kurangi saldo hutang
	if($noakun==$utang){
		$kodesp = substr($nobp,5,4);
		$sql1 = mysql_query("SELECT kode_sp,nofak,jumlah FROM hutang WHERE kode_sp='$kodesp' AND nofak='$nofak'");
		$r1 = mysql_fetch_assoc($sql1);
		$saldo = $r1['jumlah']-$jumlah-$diskon;
				
		mysql_query("UPDATE hutang SET jumlah='$saldo' WHERE kode_sp='$kodesp' AND nofak='$nofak'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$nobank','$nosubks','','','0','$jumlah','$ket','$user','$jam')");
	
	// --->debet noakun bertambah
	$sql1 = mysql_query("SELECT noakun,mutasi_db FROM akun_bb WHERE noakun='$noakun' ");
	$r1 = mysql_fetch_assoc($sql1);	
	$debet = $r1['mutasi_db']+$jumlah+$diskon;

	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$bruto WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, debet bertambah
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$bruto WHERE noakun='$nobp'");
	}
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$noakun','$nosubak','$nobp','','$bruto','0','$ket','$user','$jam')");
	
	if($kelakun>3){
		// --->laba periode berjalan debet
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$labapb','$nosubpb','','','$jumlah','0','$ket','$user','$jam')");
		
		// --->laba rugi kredit
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$labrug','$nosublr','','','0','$jumlah','$ket','$user','$jam')");
	}
	
	if(!($diskon==0)){		
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$diskon WHERE noakun='$potbeli'");		
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$diskon WHERE noakun='$labapb'");		
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$diskon WHERE noakun='$labrug'");
		
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$potbeli','$nosubpb','','','0','$diskon','$ket','$user','$jam')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$labapb','$nosublpb','','','0','$diskon','$ket','$user','$jam')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kodebk','JBK','$tanggal','$kodebk','$kodecab','$nourut','$labrug','$nosublr','','','$diskon','0','$ket','$user','$jam')");
	}
}
mysql_query("UPDATE jurbk SET posting='P' WHERE kode_bk BETWEEN '$kodeaw' AND '$kodeak' ");
?>